Subject: Re: ibook1 hangs during boot, atyfb broken

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 24 Feb 2006 14:48:48 +1100

On Fri, 2006-02-24 at 00:24 +0100, Olaf Hering wrote:
> My iBook1 did not work with recent kernels (2.6.15+), 2.6.13 was always ok.
> Today I did some more testing, with 2.6.16-rc4-git3.
> If I boot with 'quiet panic=1 root=/dev/blah', it will hang in 75% of the boots 
> before displaying the penguin.
> Adding video=atyfb:off did fix it, tried it a few times. Then I removed
> the quiet and video= option, and it did boot again. Then I reverted the
> atyfb to 2.6.15 status and did a reboot loop.
> Unfortunately, after 13 reboots with just 'panic=1 root=/x' it was stuck, after 
> time_init: processor frequency = 300MHz.

It boots with video=atyfb:noaccel ?

I suggest you report that to the linux-fbdev mailing list. That problem
seems to happen with some wallstreet powerbooks too, there is definitely
something broken there...

Ben.